Page 1 of 3 123 LastLast
Results 1 to 10 of 28

Thread: Run as root

  1. Back To Top    #1
    Contributing Member pooky2483's Avatar
    Join Date
    Nov 2013
    Location
    Derby, UK
    Posts
    70
    Threads
    14
    Local Date
    May 29th 2020
    Local Time
    05:54 AM

    ABANDONED Run as root

    I have just done a dist upgrade from 16.04 to 18.04 and I am having a complete breakdown.
    I am having update problems, so I need to edit certain files as root but I am unable to open a file as root in kate, nor am I able to even open dolphin as root.

    This is what I get when I type
    #sudo apt-get update

    Ign:1 http://dl.google.com/linux/chrome-remote-desktop/deb stable InRelease
    Hit:2 http://archive.canonical.com/ubuntu bionic InRelease
    Ign:3 http://dl.google.com/linux/chrome/deb stable InRelease
    Ign:4 https://mkvtoolnix.download/ubuntu bionic InRelease
    Hit:5 http://dl.google.com/linux/chrome-remote-desktop/deb stable Release
    Hit:6 https://mkvtoolnix.download/ubuntu bionic Release
    Hit:7 http://dl.google.com/linux/chrome/deb stable Release
    Hit:8 http://ppa.launchpad.net/kubuntu-ppa/backports/ubuntu bionic InRelease
    Hit:9 http://archive.ubuntu.com/ubuntu bionic InRelease
    Hit:10 http://archive.ubuntu.com/ubuntu bionic-updates InRelease
    Hit:11 http://ppa.launchpad.net/heyarje/makemkv-beta/ubuntu bionic InRelease
    Hit:12 http://archive.ubuntu.com/ubuntu bionic-backports InRelease
    Hit:13 http://archive.ubuntu.com/ubuntu bionic-security InRelease
    Hit:14 http://ppa.launchpad.net/inkscape.dev/stable/ubuntu bionic InRelease
    Hit:15 http://ppa.launchpad.net/kdenlive/kd...-stable/ubuntu bionic InRelease
    Hit:16 http://ppa.launchpad.net/obsproject/obs-studio/ubuntu bionic InRelease
    Hit:17 http://ppa.launchpad.net/otto-kesselgulasch/gimp/ubuntu bionic InRelease
    Hit:18 http://ppa.launchpad.net/qbittorrent...-stable/ubuntu bionic InRelease
    Hit:20 http://ppa.launchpad.net/scribus/ppa/ubuntu bionic InRelease
    Hit:21 http://ppa.launchpad.net/stellarium/...eleases/ubuntu bionic InRelease
    Hit:22 http://ppa.launchpad.net/wireshark-dev/stable/ubuntu bionic InRelease
    Hit:24 https://www.mediahuman.com/packages/ubuntu bionic InRelease
    Reading package lists... Done
    N: Ignoring file '20auto-upgrades.merge-error' in directory '/etc/apt/apt.conf.d/' as it has an invalid filename extension
    W: Target Packages (main/binary-amd64/Packages) is configured multiple times in /etc/apt/sources.list.d/bunkus.org.list:1 and /etc/apt/sources.list.d/bunkus.org.list:2
    W: Target Packages (main/binary-i386/Packages) is configured multiple times in /etc/apt/sources.list.d/bunkus.org.list:1 and /etc/apt/sources.list.d/bunkus.org.list:2
    W: Target Packages (main/binary-all/Packages) is configured multiple times in /etc/apt/sources.list.d/bunkus.org.list:1 and /etc/apt/sources.list.d/bunkus.org.list:2
    W: Target Translations (main/i18n/Translation-en_GB) is configured multiple times in /etc/apt/sources.list.d/bunkus.org.list:1 and /etc/apt/sources.list.d/bunkus.org.list:2
    W: Target Translations (main/i18n/Translation-en) is configured multiple times in /etc/apt/sources.list.d/bunkus.org.list:1 and /etc/apt/sources.list.d/bunkus.org.list:2
    W: Target DEP-11 (main/dep11/Components-amd64.yml) is configured multiple times in /etc/apt/sources.list.d/bunkus.org.list:1 and /etc/apt/sources.list.d/bunkus.org.list:2
    W: Target DEP-11 (main/dep11/Components-all.yml) is configured multiple times in /etc/apt/sources.list.d/bunkus.org.list:1 and /etc/apt/sources.list.d/bunkus.org.list:2
    W: Target DEP-11-icons-small (main/dep11/icons-48x48.tar) is configured multiple times in /etc/apt/sources.list.d/bunkus.org.list:1 and /etc/apt/sources.list.d/bunkus.org.list:2
    W: Target DEP-11-icons (main/dep11/icons-64x64.tar) is configured multiple times in /etc/apt/sources.list.d/bunkus.org.list:1 and /etc/apt/sources.list.d/bunkus.org.list:2
    W: Target DEP-11-icons-hidpi (main/dep11/icons-64x64@2.tar) is configured multiple times in /etc/apt/sources.list.d/bunkus.org.list:1 and /etc/apt/sources.list.d/bunkus.org.list:2
    W: Target DEP-11-icons-large (main/dep11/icons-128x128.tar) is configured multiple times in /etc/apt/sources.list.d/bunkus.org.list:1 and /etc/apt/sources.list.d/bunkus.org.list:2
    W: Target Contents-deb (main/Contents-amd64) is configured multiple times in /etc/apt/sources.list.d/bunkus.org.list:1 and /etc/apt/sources.list.d/bunkus.org.list:2
    W: Target Contents-deb (main/Contents-i386) is configured multiple times in /etc/apt/sources.list.d/bunkus.org.list:1 and /etc/apt/sources.list.d/bunkus.org.list:2
    W: Target Contents-deb (main/Contents-all) is configured multiple times in /etc/apt/sources.list.d/bunkus.org.list:1 and /etc/apt/sources.list.d/bunkus.org.list:2
    W: Target CNF (main/cnf/Commands-amd64) is configured multiple times in /etc/apt/sources.list.d/bunkus.org.list:1 and /etc/apt/sources.list.d/bunkus.org.list:2
    W: Target CNF (main/cnf/Commands-all) is configured multiple times in /etc/apt/sources.list.d/bunkus.org.list:1 and /etc/apt/sources.list.d/bunkus.org.list:2
    W: Target Packages (main/binary-amd64/Packages) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:18 and /etc/apt/sources.list.d/google.list:9
    W: Target Packages (main/binary-all/Packages) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:18 and /etc/apt/sources.list.d/google.list:9
    W: Target Translations (main/i18n/Translation-en_GB) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:18 and /etc/apt/sources.list.d/google.list:9
    W: Target Translations (main/i18n/Translation-en) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:18 and /etc/apt/sources.list.d/google.list:9
    W: Target DEP-11 (main/dep11/Components-amd64.yml) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:18 and /etc/apt/sources.list.d/google.list:9
    W: Target DEP-11 (main/dep11/Components-all.yml) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:18 and /etc/apt/sources.list.d/google.list:9
    W: Target DEP-11-icons-small (main/dep11/icons-48x48.tar) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:18 and /etc/apt/sources.list.d/google.list:9
    W: Target DEP-11-icons (main/dep11/icons-64x64.tar) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:18 and /etc/apt/sources.list.d/google.list:9
    W: Target DEP-11-icons-hidpi (main/dep11/icons-64x64@2.tar) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:18 and /etc/apt/sources.list.d/google.list:9
    W: Target DEP-11-icons-large (main/dep11/icons-128x128.tar) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:18 and /etc/apt/sources.list.d/google.list:9
    W: Target Contents-deb (main/Contents-amd64) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:18 and /etc/apt/sources.list.d/google.list:9
    W: Target Contents-deb (main/Contents-all) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:18 and /etc/apt/sources.list.d/google.list:9
    W: Target CNF (main/cnf/Commands-amd64) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:18 and /etc/apt/sources.list.d/google.list:9
    W: Target CNF (main/cnf/Commands-all) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:18 and /etc/apt/sources.list.d/google.list:9
    W: Target Packages (main/binary-amd64/Packages) is configured multiple times in /etc/apt/sources.list.d/bunkus.org.list:1 and /etc/apt/sources.list.d/bunkus.org.list:2
    W: Target Packages (main/binary-i386/Packages) is configured multiple times in /etc/apt/sources.list.d/bunkus.org.list:1 and /etc/apt/sources.list.d/bunkus.org.list:2
    W: Target Packages (main/binary-all/Packages) is configured multiple times in /etc/apt/sources.list.d/bunkus.org.list:1 and /etc/apt/sources.list.d/bunkus.org.list:2
    W: Target Translations (main/i18n/Translation-en_GB) is configured multiple times in /etc/apt/sources.list.d/bunkus.org.list:1 and /etc/apt/sources.list.d/bunkus.org.list:2
    W: Target Translations (main/i18n/Translation-en) is configured multiple times in /etc/apt/sources.list.d/bunkus.org.list:1 and /etc/apt/sources.list.d/bunkus.org.list:2
    W: Target DEP-11 (main/dep11/Components-amd64.yml) is configured multiple times in /etc/apt/sources.list.d/bunkus.org.list:1 and /etc/apt/sources.list.d/bunkus.org.list:2
    W: Target DEP-11 (main/dep11/Components-all.yml) is configured multiple times in /etc/apt/sources.list.d/bunkus.org.list:1 and /etc/apt/sources.list.d/bunkus.org.list:2
    W: Target DEP-11-icons-small (main/dep11/icons-48x48.tar) is configured multiple times in /etc/apt/sources.list.d/bunkus.org.list:1 and /etc/apt/sources.list.d/bunkus.org.list:2
    W: Target DEP-11-icons (main/dep11/icons-64x64.tar) is configured multiple times in /etc/apt/sources.list.d/bunkus.org.list:1 and /etc/apt/sources.list.d/bunkus.org.list:2
    W: Target DEP-11-icons-hidpi (main/dep11/icons-64x64@2.tar) is configured multiple times in /etc/apt/sources.list.d/bunkus.org.list:1 and /etc/apt/sources.list.d/bunkus.org.list:2
    W: Target DEP-11-icons-large (main/dep11/icons-128x128.tar) is configured multiple times in /etc/apt/sources.list.d/bunkus.org.list:1 and /etc/apt/sources.list.d/bunkus.org.list:2
    W: Target Contents-deb (main/Contents-amd64) is configured multiple times in /etc/apt/sources.list.d/bunkus.org.list:1 and /etc/apt/sources.list.d/bunkus.org.list:2
    W: Target Contents-deb (main/Contents-i386) is configured multiple times in /etc/apt/sources.list.d/bunkus.org.list:1 and /etc/apt/sources.list.d/bunkus.org.list:2
    W: Target Contents-deb (main/Contents-all) is configured multiple times in /etc/apt/sources.list.d/bunkus.org.list:1 and /etc/apt/sources.list.d/bunkus.org.list:2
    W: Target CNF (main/cnf/Commands-amd64) is configured multiple times in /etc/apt/sources.list.d/bunkus.org.list:1 and /etc/apt/sources.list.d/bunkus.org.list:2
    W: Target CNF (main/cnf/Commands-all) is configured multiple times in /etc/apt/sources.list.d/bunkus.org.list:1 and /etc/apt/sources.list.d/bunkus.org.list:2
    W: Target Packages (main/binary-amd64/Packages) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:18 and /etc/apt/sources.list.d/google.list:9
    W: Target Packages (main/binary-all/Packages) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:18 and /etc/apt/sources.list.d/google.list:9
    W: Target Translations (main/i18n/Translation-en_GB) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:18 and /etc/apt/sources.list.d/google.list:9
    W: Target Translations (main/i18n/Translation-en) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:18 and /etc/apt/sources.list.d/google.list:9
    W: Target DEP-11 (main/dep11/Components-amd64.yml) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:18 and /etc/apt/sources.list.d/google.list:9
    W: Target DEP-11 (main/dep11/Components-all.yml) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:18 and /etc/apt/sources.list.d/google.list:9
    W: Target DEP-11-icons-small (main/dep11/icons-48x48.tar) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:18 and /etc/apt/sources.list.d/google.list:9
    W: Target DEP-11-icons (main/dep11/icons-64x64.tar) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:18 and /etc/apt/sources.list.d/google.list:9
    W: Target DEP-11-icons-hidpi (main/dep11/icons-64x64@2.tar) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:18 and /etc/apt/sources.list.d/google.list:9
    W: Target DEP-11-icons-large (main/dep11/icons-128x128.tar) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:18 and /etc/apt/sources.list.d/google.list:9
    W: Target Contents-deb (main/Contents-amd64) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:18 and /etc/apt/sources.list.d/google.list:9
    W: Target Contents-deb (main/Contents-all) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:18 and /etc/apt/sources.list.d/google.list:9
    W: Target CNF (main/cnf/Commands-amd64) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:18 and /etc/apt/sources.list.d/google.list:9
    W: Target CNF (main/cnf/Commands-all) is configured multiple times in /etc/apt/sources.list.d/google-chrome.list:18 and /etc/apt/sources.list.d/google.list:9

    If anyone can help, that would be great.

    TIA.
    Last edited by pooky2483; Mar 5th 2020 at 04:26 AM. Reason: Decided to do a fresh install

  2. Back To Top    #2
    Contributing Member pooky2483's Avatar
    Join Date
    Nov 2013
    Location
    Derby, UK
    Posts
    70
    Threads
    14
    Local Date
    May 29th 2020
    Local Time
    05:54 AM
    I am also getting an error in package updater;
    Spawn of helper '/usr/share/PackageKit/helpers/aptcc/get-distro-upgrade.py'
    failed: failed to spawn /usr/share/PackageKit/helpers/aptcc/get-distro-upgrade.py:
    Failed to execute child process “/usr/share/PackageKit/helpers/aptcc/get-distro-upgrade.py” (No such file or directory)

    And 'blocked updates'

  3. Back To Top    #3
    Ascendant oshunluvr's Avatar
    Join Date
    Feb 2010
    Location
    New Bern, NC USA
    Posts
    10,660
    Threads
    435
    Local Date
    May 29th 2020
    Local Time
    12:54 AM
    Yeah, you won't be able to launch Dolphin or Kate as root. That's changed for good. You should be able to edit a root owned file using Kate, then it will prompt you for the root password when you try and save. You can always use "sudo nano" in a konsole window to edit a root owned file.

    Clearly, you have a mess in your /etc/apt/ folder, Looks like the 20auto-upgrades file got renamed from somewhere and all the sources got duplicated some how. I'd start digging around in there and undo whatever you can find. Your error list above is your guide. The messages clearly state the problems.

    As far as held packages or blocked updates, there's usually a reason like an unmet dependency or there's more than one version available as an install candidate. I'd recommend ignoring that for now and cleaning up your apt mess first.

    FYI: /etc/apt/apt.conf.d/20auto-upgrades should contain
    Code:
    APT::Periodic::Update-Package-Lists "1";
    APT::Periodic::Unattended-Upgrade "1";
    unless it's been edited.
    Please Read Me
    Be not the first by whom the new are tried, Nor yet the last to lay the old aside. - Alexander Pope, An Essay on Criticism, 1711

  4. Back To Top    #4
    Ascendant oshunluvr's Avatar
    Join Date
    Feb 2010
    Location
    New Bern, NC USA
    Posts
    10,660
    Threads
    435
    Local Date
    May 29th 2020
    Local Time
    12:54 AM
    BTW< I'm not using 20.04 but when I tried to use Updater on my 20.04 vbox install, it failed. You might want to try it from the command line. At least you'll get more meaningful error messages. @here at least, it worked fine from the CLI. Here's the commands:

    Code:
    pkcon refresh
    pkcon get-updates
    pkcon update
    Obviously, clean up your sources first.
    Please Read Me
    Be not the first by whom the new are tried, Nor yet the last to lay the old aside. - Alexander Pope, An Essay on Criticism, 1711

  5. Back To Top    #5
    Contributing Member pooky2483's Avatar
    Join Date
    Nov 2013
    Location
    Derby, UK
    Posts
    70
    Threads
    14
    Local Date
    May 29th 2020
    Local Time
    05:54 AM
    So, unlike 16.04 where I had to open dolphin or kate as root to be able to edit a file, now I can open a file as normal but when saving, I have to enter the root password.
    I'd say that's an improvement.

    Right, now down to business...
    I'll be back ;-)

  6. Back To Top    #6
    Contributing Member pooky2483's Avatar
    Join Date
    Nov 2013
    Location
    Derby, UK
    Posts
    70
    Threads
    14
    Local Date
    May 29th 2020
    Local Time
    05:54 AM
    Quote Originally Posted by oshunluvr View Post
    Clearly, you have a mess in your /etc/apt/ folder, Looks like the 20auto-upgrades file got renamed from somewhere
    That's down to the upgrade from 16.04 to 18.04
    Is it a necessary file or can it be deleted?

    My 'sources.list.d' folder has '.list' & '.save' files in it, all with xenial in the filename, would it be safe to delete them as that's the old version.

    It also looks like I can delete the xenial stuff from the 'sources.list' file also.

    # deb cdrom:[Kubuntu 16.04.6 LTS _Xenial Xerus_ - Release amd64 (20190226)]/ xenial main multiverse restricted universe

    # See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
    # newer versions of the distribution.
    # deb-src http://gb.archive.ubuntu.com/ubuntu/ xenial restricted main

    ## Major bug fix updates produced after the final release of the
    ## distribution.

    ## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
    ## team. Also, please note that software in universe WILL NOT receive any
    ## review or updates from the Ubuntu security team.

    ## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
    ## team, and may not be under a free licence. Please satisfy yourself as to
    ## your rights to use the software. Also, please note that software in
    ## multiverse WILL NOT receive any review or updates from the Ubuntu
    ## security team.

    ## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
    ## team, and may not be under a free licence. Please satisfy yourself as to
    ## your rights to use the software. Also, please note that software in
    ## multiverse WILL NOT receive any review or updates from the Ubuntu
    ## security team.

    ## N.B. software from this repository may not have been tested as
    ## extensively as that contained in the main release, although it includes
    ## newer versions of some applications which may provide useful features.
    ## Also, please note that software in backports WILL NOT receive any review
    ## or updates from the Ubuntu security team.

    ## Uncomment the following two lines to add software from Canonical's
    ## 'partner' repository.
    ## This software is not part of Ubuntu, but is offered by Canonical and the
    ## respective vendors as a service to Ubuntu users.
    deb http://archive.canonical.com/ubuntu/ xenial partner
    # deb-src http://archive.canonical.com/ubuntu/ xenial partner

    deb http://liveusb.info/multisystem/depot/ all hand
    # deb-src http://liveusb.info/multisystem/depot/ all hand

    deb https://www.mediahuman.com/packages/ubuntu/ xenial main
    # deb-src https://www.mediahuman.com/packages/ubuntu/ xenial main
    deb https://dl.winehq.org/wine-builds/ubuntu/ xenial main
    # deb-src https://dl.winehq.org/wine-builds/ubuntu/ xenial main

    deb http://security.ubuntu.com/ubuntu/ xenial-security main multiverse universe restricted

    deb http://mirror.ratiokontakt.de/mirror/ubuntu/ xenial main universe restricted multiverse
    deb http://mirror.ratiokontakt.de/mirror/ubuntu/ xenial-updates multiverse universe main restricted
    Last edited by pooky2483; Mar 4th 2020 at 06:58 PM.

  7. Back To Top    #7
    Ascendant oshunluvr's Avatar
    Join Date
    Feb 2010
    Location
    New Bern, NC USA
    Posts
    10,660
    Threads
    435
    Local Date
    May 29th 2020
    Local Time
    12:54 AM
    If you install xenial packages to a bionic install, you'll break things. I don't know why it didn't get cleaned up, but that's clearly why you're getting the majority of those messages.

    Delete all xenial lines and try apt update again.
    Please Read Me
    Be not the first by whom the new are tried, Nor yet the last to lay the old aside. - Alexander Pope, An Essay on Criticism, 1711

  8. Back To Top    #8
    Insert Pithy Nothingness here claydoh's Avatar
    Join Date
    Sep 2005
    Location
    Savannah GA
    Posts
    8,222
    Threads
    228
    Local Date
    May 29th 2020
    Local Time
    12:54 AM
    Homepage: Go to claydoh's homepage
    Is that the entire sources.list?
    if so, then all your sources are still set to 16.04, not 18.04 (Bionic)

    Which makes me ask, based on this
    I have just done a dist upgrade from 16.04 to 18.04 and I am having a complete breakdown.
    By dist upgrade, do you mean that you ran sudo apt-get dist-upgrade ? If so, then you have NOT upgraded to 18.04.

    Either way, something looks broken.

    Can you tell us what method you used to move from Xenial to Bionic?




    Despite the wording, in Ubuntu apt-get dist-upgrade (or the current apt full-upgrade ) is the correct command to update the system (as opposed to apt-get upgrade, which does not fully do so)

  9. Back To Top    #9
    Ascendant oshunluvr's Avatar
    Join Date
    Feb 2010
    Location
    New Bern, NC USA
    Posts
    10,660
    Threads
    435
    Local Date
    May 29th 2020
    Local Time
    12:54 AM
    Quote Originally Posted by pooky2483 View Post
    So, unlike 16.04 where I had to open dolphin or kate as root to be able to edit a file, now I can open a file as normal but when saving, I have to enter the root password.
    I'd say that's an improvement.
    I agree when it come to Kate for sure. Much easier way to do things. LOTS of people complain about not being able to run Dolphin as root, but frankly IMO, if you're unable to manage things without dolphin you probably shouldn't be using dolphin as root. Supposedly the devs are working on a similar implementation for dolphin like kate. The old "root actions" service menu functions would be fine IMO. Honestly, I just go to the konsole when doing root "stuff".
    Please Read Me
    Be not the first by whom the new are tried, Nor yet the last to lay the old aside. - Alexander Pope, An Essay on Criticism, 1711

  10. Back To Top    #10
    Insert Pithy Nothingness here claydoh's Avatar
    Join Date
    Sep 2005
    Location
    Savannah GA
    Posts
    8,222
    Threads
    228
    Local Date
    May 29th 2020
    Local Time
    12:54 AM
    Homepage: Go to claydoh's homepage
    Quote Originally Posted by oshunluvr View Post
    If you install xenial packages to a bionic install, you'll break things. I don't know why it didn't get cleaned up, but that's clearly why you're getting the majority of those messages.

    Delete all xenial lines and try apt update again.
    At this point, if the OP does so, there won't be any sources at all , unless there are lines with Bionic not shown.

Page 1 of 3 123 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •